package sim.app.sensor_emitter;

/**
 * Contains the algorithm that controls how sensors change which frequency they monitor.
 * Called by the step() function.
 * 
 * @author Adam Campbell
 */
class StationaryFrequencyUpdater extends FrequencyUpdater{

	/**
	 * Constructor
	 */
	public StationaryFrequencyUpdater(){
	}
	
	/**
	 * Function does nothing.
	 *
	 * @param s the sensor
	 * @param sim the simulation that the sensor is in
	 */
	protected void update(final Sensor s, final Simulation sim){
	}
}