package sim.app.sensor_emitter;

/**
 * Stationary movers do not move the agent.
 * 
 * @author Adam Campbell
 */
class StationaryMover extends AgentMover{

	/** 
	 * Constructor
	 */
	public StationaryMover(){
	}
	
	/**
	 * Stationary movers do not move the agent.  This function does nothing.
	 *
	 * @param a agent to be moved
	 * @param sim the simulation that the agent is in
	 */
	protected void move(final Agent a, final Simulation sim){
	}
}