package sim.app.sensor_emitter;

/**
 * Used for signals that do not change direction, distance, or spread.
 *
 * @author Adam Campbell
 */
class StationarySignalController extends SignalController{

	/** 
	 * Constructor
	 */
	public StationarySignalController(){
	}
	
	/**
	 * Does not change any of the emitter's emitting properties
	 *
	 * @param e emitter that is controller
	 * @param sim the simulation that the emitter is in
	 */
	protected void controlSignal(final Emitter e, final Simulation sim){
	}
}